#### D.8.8.5 ivmatSet

Procedure from library `rootisolation.lib` (see rootisolation_lib).

Usage:
  `ivmatSet(A, i, j, I)`; `A ivmat, i, j, int, I interval`

Return:
  interval matrix `A` where `A[i][j] == I`

Purpose:
  modify a single entry of an `ivmat`

Example:

    LIB "rootisolation.lib";
    ring R = 0,x,dp;
    ivmat A = ivmatInit(2,2);             A;
    ==> [0, 0],[0, 0]
    ==> [0, 0],[0, 0]
    ==>
    A = ivmatSet(A, 1, 2, bounds(1, 2));  A;
    ==> [0, 0],[1, 2]
    ==> [0, 0],[0, 0]
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.